<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateLocalRouteGroupReq StructType
 * @subpackage Structs
 */
class UpdateLocalRouteGroupReq extends APIRequest
{
    /**
     * The localRouteGroup
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var LocalRouteGroup
     */
    public $localRouteGroup;
    /**
     * Constructor method for UpdateLocalRouteGroupReq
     * @uses UpdateLocalRouteGroupReq::setLocalRouteGroup()
     * @param LocalRouteGroup $localRouteGroup
     */
    public function __construct(LocalRouteGroup $localRouteGroup = null)
    {
        $this
            ->setLocalRouteGroup($localRouteGroup);
    }
    /**
     * Get localRouteGroup value
     * @return LocalRouteGroup|null
     */
    public function getLocalRouteGroup()
    {
        return $this->localRouteGroup;
    }
    /**
     * Set localRouteGroup value
     * @param LocalRouteGroup $localRouteGroup
     * @return UpdateLocalRouteGroupReq
     */
    public function setLocalRouteGroup(LocalRouteGroup $localRouteGroup = null)
    {
        $this->localRouteGroup = $localRouteGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return UpdateLocalRouteGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
